Sign inGet started

Capacity Rules

GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.workspaceId
string
obbligatorio
results.name
string
obbligatorio
results.description
string
obbligatorio
results.default
boolean
results.capacity
object
obbligatorio
Mostra attributi secondari
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Payload della richiesta
name
string
obbligatorio
description
string
obbligatorio
default
boolean
capacity
object
obbligatorio
Mostra parametri secondari
capacity.messaging
integer
obbligatorio
capacity.email
integer
obbligatorio
agents
array of string
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
default
boolean
capacity
object
obbligatorio
Mostra attributi secondari
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
default
boolean
capacity
object
obbligatorio
Mostra attributi secondari
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Payload della richiesta
name
string
description
string
default
boolean
capacity
object
Mostra parametri secondari
capacity.messaging
integer
obbligatorio
capacity.email
integer
obbligatorio
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
default
boolean
capacity
object
obbligatorio
Mostra attributi secondari
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Payload della richiesta
agents
array of string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Payload della risposta
agents
array of string
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'